Subject: [TR] Tr- tr3 original Aeros windscreens f/s

From: Lawrence Schwartz <[email-masked]>
Date: Sun, 18 Aug 2013 13:58:46 -0400

List, I have a pair of original Aero windscreens f/s. As you know these are
very rare and to find a set is a once in a lifetime. In addition, I have a
left side Lemans wrap around windscreen f/s too. I want to move it as a set.
Please contact me off list--- [email-masked].        Cheers, Larry Schwartz

** [email-masked] **

Archive: http://www.team.net/archive